int not_ind_case;

// Data
#include "../../mydata/Higgs_production_SM_xSections.h"
#include "../../mydata/Higgs_decay_SM_BRs.h"
#include "../../mydata/Higgs_signals_Run1.h"
#include "../../mydata/constants_2018.h"

#include "exp_data_base.h"

// --------------------------------------------------
// Various
double ROT[3][3];
double beta, cb, sb, tb;
double sb2, cb2, s2b, c2b, s4b, c4b;
double l1, l2, l3, l4, rl5, il5;
double l345;
double c[3], s[3];
double mH2, mA2, mChH2;
double M2_11, M2_12, M2_13, M2_22, M2_23, M2_33;
double pert_bound_val = 4.0 * M_PI, pert_bound_unc = 0.1;
double pert_unit_bound_val = 14.0 * M_PI, pert_unit_bound_unc = 0.5;
double scalar_mass_bound_min = 135.0, scalar_mass_bound_min_unc = 1.0;
double scalar_mass_bound_max = 2495.0, scalar_mass_bound_max_unc = 1.0;
double yukawa_pert_VAL = 250.0, yukawa_pert_UNC = 1.0;// GeV
double yukawa_pert_lep_VAL = 95.0, yukawa_pert_lep_UNC = 1.0;// GeV
// --------------------------------------------------
double c_hChCh, c_HChCh, c_AChCh, c_Hhh, c_Ahh, c_AHh, c_AHH, c_HAA;
double r11, r12, r13, r21, r22, r23, r31, r32, r33;
double r11_2, r12_2, r13_2, r21_2, r22_2, r23_2, r31_2, r32_2, r33_2;
// --------------------------------------------------
// Auxiliary
obs_c aux_c_0, unit_i; // Auxiliary complex zero
obs_c aux_c;
//double aux_arg, aux_mod;
double temp;
// --------------------------------------------------
obs_c CKM[3][3], CKMdag[3][3];
// --------------------------------------------------

// --------------------------------------------------
// Box with charged scalars
obs box_S_WW, box_S_WH, box_S_HH;
//obs val_MesonMixing = 0.15, unc_MesonMixing = 0.05;
obs val_MesonMixing = 0.03, unc_MesonMixing = 0.005;
// --------------------------------------------------
int n_steps_3body = 200;

#include "../../myphyslib/2HDM-glFC/vars_higgs-constraints.h"

#include "../../myphyslib/2HDM-glFC/vars_fermionscalar-couplings.h"

#include "../../myphyslib/2HDM-glFC/vars_oblique.h"

#include "../../myphyslib/2HDM-glFC/vars_bsgamma.h"

#include "../../myphyslib/2HDM-glFC/vars_treelevel-chargedscalar.h"

#include "../../myphyslib/2HDM-glFC/vars_LEP-dileptons.h"

#include "../../myphyslib/2HDM-glFC/vars_LHC_scalar-dileptons.h"

#include "../../myphyslib/2HDM-glFC/vars_LHC_scalar-charged.h"

#include "../../myphyslib/2HDM-glFC/vars_dipoles.h"
