// --------------------------------------------------
// LOG file
// Build time: 20171205-1512
// Model description: gBGL with spontaneous CP
// Model tag: SCPV-gBGL-0
// --------------------------------------------------

// --------------------------------------------------

// --------------------------------------------------
inline void log10_tanbeta_parameter_do_step()
{
  log10_tanbeta[ind_new] = (gsl_rng_uniform (r) - 0.5) * log10_tanbeta_step + log10_tanbeta[ind_old];
  while(abs(log10_tanbeta[ind_new]) > 5.0){log10_tanbeta[ind_new] = (gsl_rng_uniform (r) - 0.5) * log10_tanbeta_step + log10_tanbeta[ind_old];}
}
// --------------------------------------------------

// --------------------------------------------------
inline void rot_ba_parameter_do_step()
{
  rot_ba[ind_new] = (gsl_rng_uniform (r) - 0.5) * rot_ba_step + rot_ba[ind_old];
  while(rot_ba[ind_new] > M_PI){rot_ba[ind_new]+=-M_PI;}
  while(rot_ba[ind_new] < 0.0){rot_ba[ind_new]+=M_PI;}
}
// --------------------------------------------------

// --------------------------------------------------
inline void m_H_parameter_do_step()
{
  m_H[ind_new] = (gsl_rng_uniform (r) - 0.5) * m_H_step + m_H[ind_old];
  while(m_H[ind_new] < 0.0){m_H[ind_new]=(gsl_rng_uniform (r) - 0.5) * m_H_step + m_H[ind_old];}
}
// --------------------------------------------------

// --------------------------------------------------
inline void m_A_parameter_do_step()
{
  m_A[ind_new] = (gsl_rng_uniform (r) - 0.5) * m_A_step + m_A[ind_old];
  while(m_A[ind_new] < 0.0){m_A[ind_new]=(gsl_rng_uniform (r) - 0.5) * m_A_step + m_A[ind_old];}
}
// --------------------------------------------------

// --------------------------------------------------
inline void m_ChH_parameter_do_step()
{
  m_ChH[ind_new] = (gsl_rng_uniform (r) - 0.5) * m_ChH_step + m_ChH[ind_old];
  while(m_ChH[ind_new] < 0.0){m_ChH[ind_new]=(gsl_rng_uniform (r) - 0.5) * m_ChH_step + m_ChH[ind_old];}
}
// --------------------------------------------------

// --------------------------------------------------
inline void re_mu12_parameter_do_step()
{
  re_mu12[ind_new] = (gsl_rng_uniform (r) - 0.5) * re_mu12_step + re_mu12[ind_old];
}
// --------------------------------------------------

// -------------------------------------------------- 
inline void a_nle_parameter_do_step()
{
  a_nle[ind_new] = (gsl_rng_uniform (r) - 0.5) * a_nle_step + a_nle[ind_old];
}
inline void b_nle_parameter_do_step()
{
  b_nle[ind_new] = (gsl_rng_uniform (r) - 0.5) * b_nle_step + b_nle[ind_old];  
}
// -------------------------------------------------- 

// --------------------------------------------------
inline void a_nlm_parameter_do_step()
{
  a_nlm[ind_new] = (gsl_rng_uniform (r) - 0.5) * a_nlm_step + a_nlm[ind_old];
}
inline void b_nlm_parameter_do_step()
{
  b_nlm[ind_new] = (gsl_rng_uniform (r) - 0.5) * b_nlm_step + b_nlm[ind_old];
}
// --------------------------------------------------

// -------------------------------------------------- 
inline void a_nlt_parameter_do_step()
{
  a_nlt[ind_new] = (gsl_rng_uniform (r) - 0.5) * a_nlt_step + a_nlt[ind_old];
}
inline void b_nlt_parameter_do_step()
{
  b_nlt[ind_new] = (gsl_rng_uniform (r) - 0.5) * b_nlt_step + b_nlt[ind_old];
}

// -------------------------------------------------- 
void parameter_do_step()
{
  log10_tanbeta_parameter_do_step();
  rot_ba_parameter_do_step();
  m_H_parameter_do_step();
  m_A_parameter_do_step();
  m_ChH_parameter_do_step();
  re_mu12_parameter_do_step();
  a_nle_parameter_do_step();
  b_nle_parameter_do_step();
  a_nlm_parameter_do_step(); 
  b_nlm_parameter_do_step();
  a_nlt_parameter_do_step(); 
  b_nlt_parameter_do_step();
}
//  [ind_new] = (gsl_rng_uniform (r) - 0.5) * _step + [ind_old];
